//                                               -*- C++ -*-
/**
 *  @file  t_LegendreFactory_std.cxx
 *  @brief The test file of class LegendreFactory for standard methods
 *
 *  (C) Copyright 2005-2012 EDF-EADS-Phimeca
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License.
 *
 *  This library is distributed in the hope that it will be useful
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  @author: $LastChangedBy: dutka $
 *  @date:   $LastChangedDate: 2008-05-21 17:44:02 +0200 (mer, 21 mai 2008) $
 *  Id:      $Id: t_LegendreFactory_std.cxx 818 2008-05-21 15:44:02Z dutka $
 */
#include <iostream>
#include <exception>
#include "OT.hxx"
#include "OTtestcode.hxx"
#include "OStream.hxx"
#include "NumericalPoint.hxx"
#include "LegendreFactory.hxx"

using namespace OT;
using namespace OT::Test;

int main(int argc, char *argv[])
{
  TESTPREAMBLE;
  OStream fullprint(std::cout);

  try {
    LegendreFactory legendre;
    fullprint << "legendre=" << legendre << std::endl;
    for (UnsignedLong i = 0; i < 10; ++i)
      {
        fullprint << "legendre(" << i << ")=" << legendre.build(i).__str__() << std::endl;
      }
    NumericalPoint roots(legendre.getRoots(10));
    fullprint << "legendre(10) roots=" << roots << std::endl;
    NumericalPoint weights;
    roots = legendre.getNodesAndWeights(10, weights);
    fullprint << "legendre(10) roots=" << roots << " and weights=" << weights << std::endl;
  }
  catch (TestFailed & ex) {
    std::cerr << ex << std::endl;
    return ExitCode::Error;
  }

  return ExitCode::Success;
}
